#!/bin/bash
../out/bin/ocamlopt -ccopt -march=native -ccopt -mtune=native -ccopt -O4 -I /home/mathias/ocmc/oc4mc-20090703/tests/../out/lib/ocaml/ -I /home/mathias/ocmc/oc4mc-20090703/tests/../runtime/gcs/sc_par /home/mathias/ocmc/oc4mc-20090703/tests/../runtime/gcs/sc_par/gci.o -cclib -lgc -cclib  -g -thread  unix.cmxa threads.cmxa graphics.cmxa -verbose -compact -rectypes -inline 100 -fno-PIC  -cclib -lunix -cclib -lpthread time.ml "$1".ml -o "$1".th
export GC_N_PAGES
export GC_PAGE_SIZE
export GC_SHARED_SIZE
GC_N_PAGES=100
GC_PAGE_SIZE=$((64*1024))
GC_SHARED_SIZE=$((GC_PAGE_SIZE*GC_N_PAGES*2))
for PAGE_SIZE in 32 64 128 256 512 1024 2048 
do
for GC_N_PAGES in 16 32 96 192 256 512 1024
do
GC_PAGE_SIZE=$((PAGE_SIZE*1024))
GC_SHARED_SIZE=$((GC_PAGE_SIZE*GC_N_PAGES*2))
printf "%d %d %d " $GC_N_PAGES $GC_PAGE_SIZE $GC_SHARED_SIZE 
./"$1".th
done
done